# Package org.eclipse.net4j.db.ddl.delta

The Net4j DB framework concepts for the abstraction of schema deltas.

- Interface Summary
  Interface | Description
  --- | ---
  IDBDelta |
  IDBDeltaVisitor |
  IDBDeltaWithPosition |
  IDBDeltaWithProperties |
  IDBFieldDelta |
  IDBIndexDelta |
  IDBIndexFieldDelta |
  IDBPropertyDelta<T> |
  IDBSchemaDelta |
  IDBTableDelta |

- Class Summary
  Class | Description
  --- | ---
  IDBDeltaVisitor.Copier |
  IDBDeltaVisitor.Default |
  IDBDeltaVisitor.Filter |
  IDBDeltaVisitor.Filter.Policy |

- Enum Summary
  Enum | Description
  --- | ---
  IDBDelta.ChangeKind |
  IDBDelta.DeltaType |
  IDBPropertyDelta.Type |

- Exception Summary
  Exception | Description
  --- | ---
  IDBDeltaVisitor.Filter.ForbiddenChangeException |
  IDBDeltaVisitor.StopRecursion |